/*****************************************************************************\
* (c) Copyright 2000-2020 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
#ifndef OTDET_WALKRELATION
#define OTDET_WALKRELATION

namespace OTDet
{
  /************************************************************************/
  /*                                                                      */
  /************************************************************************/
  class WalkRelation
  {
  private:
    double off;
    double amp;
    double tau;
    double dpt;
    double dptfactor;
    double overtau;

    inline static double vdtTanh(const double x);
    inline static double fastTanh(const double x);
    //inline int float2int(const double d ) const;
    //inline int floattoint(const double d ) const;
    inline static double padeTanh(const double x);

  public:
    WalkRelation();
    WalkRelation(double doff, double damp, double dtau, double ddpt);

    double walk(double l) const;

    inline double getOff() const { return off; }
    inline double getAmp() const { return amp; }
    inline double getTau() const { return tau; }
    inline double getDpt() const { return dpt; }
  };
}

#endif // OTDET_WALKRELATION
