/*****************************************************************************\
* (c) Copyright 2000-2020 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
#ifndef WRITEPACKEDDST_H
#define WRITEPACKEDDST_H 1

// Include files
// from Gaudi
#include "GaudiAlg/GaudiAlgorithm.h"
#include "PackedBank.h"

/** @class WritePackedDst WritePackedDst.h
 *  Write the packed DST as a MDF file
 *
 *  @author Olivier Callot
 *  @date   2008-12-01
 */
class WritePackedDst : public GaudiAlgorithm {
public:
  /// Standard constructor
  WritePackedDst( const std::string& name, ISvcLocator* pSvcLocator );

  virtual ~WritePackedDst( ); ///< Destructor

  virtual StatusCode initialize();    ///< Algorithm initialization
  virtual StatusCode execute   ();    ///< Algorithm execution

protected:
  void storeInBlob( PackedBank& pBnk, const void* data, unsigned int nb, unsigned int bSize );

private:
  std::vector<std::string> m_containers;
  LHCb::RawEvent* m_dst;
  unsigned int m_blobNumber;
  unsigned int m_bankNb;
};
#endif // WRITEPACKEDDST_H
