/*****************************************************************************\
* (c) Copyright 2000-2020 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
// Include files 

// local
#include "Event/HltDecReports.h"

//-----------------------------------------------------------------------------
// Implementation file for class : HltDecReports
//
// 2011-02-12 : Chris Jones
//-----------------------------------------------------------------------------

std::ostream& LHCb::HltDecReports::fillStream(std::ostream& s) const
{
  s << " HltDecReports : configuredTCK=" << m_configuredTCK 
    << " {\n" ;
  for(Container::const_iterator i=m_decReports.begin();
      i!=m_decReports.end(); ++i)
  {
    s << " decisionName :	" << i->first
      << " HltDecReport :	" << i->second 
      << "\n";
  }
  s << " }" << std::endl;
  return s;
}
