/*****************************************************************************\
* (c) Copyright 2000-2020 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
// Include files

// local
#include "Event/HltObjectSummary.h"

//-----------------------------------------------------------------------------
// Implementation file for class : HltObjectSummary
//
// 2011-02-12 : Chris Jones
//-----------------------------------------------------------------------------

std::ostream& LHCb::HltObjectSummary::fillStream(std::ostream& ss) const
{

  ss << "{ " << " summarizedObjectCLID : " << summarizedObjectCLID() ;

  ss << " numericalInfo : { ";
  for( Info::const_iterator i=numericalInfo().begin();i!=numericalInfo().end();++i){
    ss << i->first << ":" << i->second << " , ";
  }
  ss << " } ";

  ss << " substructure : { ";
  for( SmartRefVector < LHCb::HltObjectSummary >::const_iterator j=substructure().begin();j!=substructure().end();++j){
    ss <<  (*j)->index() << ":" << (*j)->summarizedObjectCLID() << " , ";
  }
  ss << " } ";

  ss << " lhcbIDs : { ";
  for( std::vector < LHCb::LHCbID  >::const_iterator k=lhcbIDs().begin();k!=lhcbIDs().end();++k){
    ss <<  k->lhcbID() << " , ";
  }
  ss << " } ";

  ss << " } ";

  return ss;

}
