/*****************************************************************************\
* (c) Copyright 2000-2020 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/

// Event
#include "Event/MCParticle.h"

//-----------------------------------------------------------------------------
// Implementation file for class : MCParticle
//
// 2012-11-20 : Chris Jones
//-----------------------------------------------------------------------------

std::ostream& LHCb::MCParticle::fillStream(std::ostream& s) const
{
  s << "{ Momentum = "     << momentum()
    << " ParticleID = "    << particleID()
    << " OriginVertex = "  << originVertex()
    << " EndVertices : #=" << endVertices().size() << " [";
  for ( SmartRefVector<LHCb::MCVertex>::const_iterator iter = endVertices().begin();
        iter != endVertices().end(); ++iter )
  { s << " " << *iter; }
  s << " ] }";
  return s;
}

bool LHCb::MCParticle::hasOscillated() const
{
  bool hasOsc = false;
  for ( SmartRefVector<LHCb::MCVertex>::const_iterator v = endVertices().begin();
        v != endVertices().end(); ++v )
  {
    if ( (*v)->type() == LHCb::MCVertex::OscillatedAndDecay )
    {
      hasOsc = true; break;
    }
  }
  return hasOsc;
}
