/*****************************************************************************\
* (c) Copyright 2000-2020 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
#ifndef HCRAWBANKDECODER_H
#define HCRAWBANKDECODER_H 1

#include "DAQKernel/DecoderAlgBase.h"

namespace LHCb {
class RawEvent;
}

/** @class HCRawBankDecoder.h 
 *
 * Decoder for Herschel raw banks.
 *
 */

class HCRawBankDecoder : public Decoder::AlgBase {
public:
  /// Standard constructor
  HCRawBankDecoder(const std::string& name, ISvcLocator* pSvcLocator);
  /// Destructor
  virtual ~HCRawBankDecoder();

  virtual StatusCode initialize();       ///< Algorithm initialization
  virtual StatusCode execute();          ///< Algorithm execution

private:

  std::string m_digitLocation;
  
};

#endif
