/*****************************************************************************\
* (c) Copyright 2000-2020 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
#ifndef CONFIGTARFILEACCESSSVC_H 
#define CONFIGTARFILEACCESSSVC_H 1

// Include files
#include <string>
#include <memory>
#include "ConfigArchiveAccessSvc.h"

/** @class ConfigFileAccessSvc ConfigFileAccessSvc.h
 *  
 *  functionality:
 *        read/write configure information to files
 *
 *  @author Gerhard Raven
 *  @date   2009-06-04
 */
class IArchive;

class ConfigTarFileAccessSvc : public ConfigArchiveAccessSvc {
public:
  ConfigTarFileAccessSvc(const std::string& name, ISvcLocator* pSvcLocator);
  ~ConfigTarFileAccessSvc( ) override = default;     ///< Destructor
  StatusCode finalize();      ///< Service initialization
private:
  IArchive*  file() const override;

  mutable std::unique_ptr<IArchive>    m_file;
  std::string                          m_name;   ///< filename of tar file from which to read configurations
  std::string                          m_mode;   ///< which flags to specify when opening the tar file
  bool                                 m_compress; ///< do we want to transparently compress items on write?
};
#endif // CONFIGTARFILEACCESSSVC_H
