/*****************************************************************************\
* (c) Copyright 2000-2020 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
#ifndef RICHKERNEL_RICHCONVERTER_H
#define RICHKERNEL_RICHCONVERTER_H 1

// local
#include "RichKernel/RichConverter_Imp.h"
#include "RichKernel/RichCommonBase.h"

namespace Rich
{

  /** @class Converter RichKernel/RichConverter.h
   *
   *  Base class for RICH converters
   *
   *  @author Chris Jones
   *  @date   2009-07-07
   */
  class Converter : public Rich::CommonBase<Rich::Converter_Imp>
  {

  public:

    /// Standard constructor
    Converter ( long storage_type,
                const CLID &class_type,
                ISvcLocator *svc = NULL )
      : Rich::CommonBase<Rich::Converter_Imp> ( storage_type, class_type, svc )
    { }

  };

}

#endif // RICHKERNEL_RICHCONVERTER_H
