/*****************************************************************************\
* (c) Copyright 2000-2020 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/

//-----------------------------------------------------------------------------
/** @file RichNamespaces.h
 *
 *  Documentation of various core RICH namespaces
 *
 *  CVS Log :-
 *
 *  @author Chris Jones    Christopher.Rob.Jones@cern.ch
 *  @date   08/07/2004
 */
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
/** @namespace Rich
 *
 *  General namespace for RICH software
 *
 *  @author Chris Jones  Christopher.Rob.Jones@cern.ch
 *  @date   08/07/2004
 */
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
/** @namespace Rich::DAQ
 *
 *  Namespace for RICH DAQ software
 *
 *  @author Chris Jones  Christopher.Rob.Jones@cern.ch
 *  @date   08/07/2004
 */
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
/** @namespace Rich::MC
 *
 *  Namespace for RICH general MC software
 *
 *  @author Chris Jones  Christopher.Rob.Jones@cern.ch
 *  @date   05/12/2006
 */
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
/** @namespace Rich::MC::Digi
 *
 *  Namespace for RICH Digitisation simuation software
 *
 *  @author Chris Jones  Christopher.Rob.Jones@cern.ch
 *  @date   17/01/2007
 */
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
/** @namespace Rich::Maths
 *
 *  Namespace for general maths functions for the RICH
 *
 *  @author Chris Jones  Christopher.Rob.Jones@cern.ch
 *  @date   02/09/2007
 */
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
/** @namespace Rich::Mon
 *
 *  Namespace for RICH (online) monitoring software
 *
 *  @author Chris Jones   Christopher.Rob.Jones@cern.ch
 *  @author Ulrich Kerzel Ulrich.Kerzel@cern.ch
 *  @date   02/09/2007
 */
//-----------------------------------------------------------------------------
