#!/bin/sh -xe
###############################################################################
# (c) Copyright 2000-2020 CERN for the benefit of the LHCb Collaboration      #
#                                                                             #
# This software is distributed under the terms of the GNU General Public      #
# Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   #
#                                                                             #
# In applying this licence, CERN does not waive the privileges and immunities #
# granted to it by virtue of its status as an Intergovernmental Organization  #
# or submit itself to any jurisdiction.                                       #
###############################################################################

libgit2_version=0.27.0
pkg_name=libgit2-${libgit2_version}

src_dir=$PWD/../$CMTCONFIG/$pkg_name
build_dir=$src_dir-build

src_url=https://lhcb-repository.web.cern.ch/repository/lhcb-contrib/libgit2/libgit2-${libgit2_version}.tar.gz
# original URL https://github.com/libgit2/libgit2/archive/v${libgit2_version}.tar.gz

if [ ! -e ${build_dir} ] ; then
    mkdir -p $build_dir
    curl -L -o ../$CMTCONFIG/${pkg_name}.tar.gz ${src_url}
    tar -x -f ../$CMTCONFIG/${pkg_name}.tar.gz -C ../$CMTCONFIG
    rm -rf ${src_dir}/tests/resources
fi

cd $build_dir
cmake -DCMAKE_PREFIX_PATH:STRING=${CMAKE_PREFIX_PATH} \
      -DCMAKE_C_FLAGS:STRING=-fPIC \
      -DBUILD_SHARED_LIBS:BOOL=OFF \
      -DBUILD_CLAR:BOOL=OFF \
      -DUSE_SSH:BOOL=OFF \
      -DUSE_HTTPS:BOOL=OFF \
      -DCURL:BOOL=OFF \
      $src_dir

echo Using `which gcc`
make
